Skip to main content
`Ctrl`+`K`

# PCMGGetAdaptCoarseSpaceType

Get the type of adaptive coarse space.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetAdaptCoarseSpaceType(PC pc, PCMGCoarseSpaceType *ctype)

Not Collective

## Input Parameter

- pc - the multigrid context

## Output Parameter

- ctype - the type of coarse space

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGCoarseSpaceType`, `PCMGSetAdaptCoarseSpaceType()`, `PCMGSetGalerkin()`, `PCMGSetAdaptInterpolation()`

## Level

intermediate

## Location

src/ksp/pc/impls/mg/mg.c

## Implementations

PCMGGetAdaptCoarseSpaceType_MG() in src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages